-- =========== 订单微服务模块

-- 废弃 sku表
-- 修改 cm_cart 机构购物车表
ALTER TABLE `cm_cart`
MODIFY COLUMN `skuID` VARCHAR(20) DEFAULT NULL COMMENT '【V2021已废弃】',
MODIFY COLUMN `isOutOfTime` CHAR(1) DEFAULT '0' COMMENT '【V2021已废弃】',
ADD COLUMN `shopID` INT(11) DEFAULT NULL COMMENT '商品供应商Id' AFTER `productID`;
-- 更新 cm_cart 数据
UPDATE `cm_cart` c LEFT JOIN `product` p ON c.`productID`=p.`productID` SET c.`shopID`=p.`shopID`;

-- 修改 bp_order_product_cart 协销购物车表
ALTER TABLE `bp_order_product_cart`
MODIFY COLUMN `serviceProviderId` BIGINT(11) DEFAULT NULL COMMENT '协销ID' AFTER `id`,
MODIFY COLUMN `clubId` BIGINT(11) DEFAULT NULL COMMENT '机构ID' AFTER `serviceProviderId`,
MODIFY COLUMN `shopId` bigint(11) DEFAULT NULL COMMENT '供应商ID' AFTER `clubId`,
MODIFY COLUMN `productId` bigint(11) DEFAULT NULL COMMENT '商品ID' AFTER `shopId`,
MODIFY COLUMN `num` int(11) DEFAULT NULL COMMENT '购买数量' AFTER `productId`,
ADD COLUMN `addDate` datetime DEFAULT NULL COMMENT '添加时间' AFTER `num`,
MODIFY COLUMN `presentNum` int(11) DEFAULT NULL COMMENT '【V2021已废弃】赠送数量',
MODIFY COLUMN `name` varchar(300) DEFAULT NULL COMMENT '【V2021已废弃】商品名称',
MODIFY COLUMN `orderId` bigint(11) DEFAULT NULL COMMENT '【V2021已废弃】订单ID',
MODIFY COLUMN `contractProductId` bigint(11) DEFAULT NULL COMMENT '【V2021已废弃】合同商品ID',
MODIFY COLUMN `productAmount` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】price*num',
MODIFY COLUMN `totalFee` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】总价',
MODIFY COLUMN `image` text COMMENT '【V2021已废弃】商品图片',
MODIFY COLUMN `productNo` varchar(50) DEFAULT NULL COMMENT '【V2021已废弃】商品编号',
MODIFY COLUMN `price` decimal(20,2) DEFAULT NULL COMMENT '【V2021已废弃】商品价格',
MODIFY COLUMN `contractId` bigint(11) DEFAULT NULL COMMENT '【V2021已废弃】合同id',
MODIFY COLUMN `shopName` varchar(50) DEFAULT NULL COMMENT '【V2021已废弃】供应商名称',
MODIFY COLUMN `discount` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】折扣',
MODIFY COLUMN `discountPrice` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】折后单价',
MODIFY COLUMN `taxRate` decimal(20,0) DEFAULT NULL COMMENT '【V2021已废弃】税率',
MODIFY COLUMN `addedValueTax` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】增值税',
MODIFY COLUMN `totalAddedValueTax` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】总增值税',
MODIFY COLUMN `stipulateFlag` char(1) DEFAULT '0' COMMENT '【V2021已废弃】是否是规定商品 0否 1是',
MODIFY COLUMN `shopFee` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】应付供应商金额',
MODIFY COLUMN `otherFee` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】应付第三方金额',
MODIFY COLUMN `cmFee` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】应付采美金额',
MODIFY COLUMN `shopFee1` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】单个应付供应商金额',
MODIFY COLUMN `otherFee1` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】单个应付第三方金额',
MODIFY COLUMN `cmFee1` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】单个应付采美金额',
MODIFY COLUMN `shouldPayFee` decimal(20,6) DEFAULT NULL COMMENT '【V2021已废弃】应付金额',
MODIFY COLUMN `payStatus` char(1) DEFAULT '0' COMMENT '【V2021已废弃】支付状态 0 未付款 1 已付款',
MODIFY COLUMN `payDate` datetime DEFAULT NULL COMMENT '【V2021已废弃】支付时间',
MODIFY COLUMN `stagesFlag` char(1) DEFAULT NULL COMMENT '【V2021已废弃】分期订单标志 0否 1是',
MODIFY COLUMN `normalUserID` bigint(11) DEFAULT NULL COMMENT '【V2021已废弃】个人用户ID';

-- 修改 repeat_purchase_price 复购价格库表
ALTER TABLE `repeat_purchase_price`
ADD COLUMN `updateTime` varchar(50) DEFAULT NULL COMMENT '更新时间' AFTER `createTime`;


-- =========== 超级会员S_VIP
-- 修改 cm_order_pay_link 支付链接
ALTER TABLE `cm_order_pay_link`
    ADD COLUMN `vipRecordId` bigint(11) DEFAULT NULL COMMENT '会员购买记录Id' AFTER `orderId`,
    ADD COLUMN `vipMonth` bigint(11) DEFAULT NULL COMMENT '会员购买记录Id' AFTER `vipRecordId`;

-- 修改分账详情表
ALTER TABLE `cm_split_account` ADD COLUMN `vipRecordId` bigint(11) NULL COMMENT '超级会员购买记录Id' AFTER `shopId`;

-- 修改 cm_discern_receipt,cm_receipt_order_relation 收款表
ALTER TABLE `cm_discern_receipt`
    MODIFY COLUMN `receiptType` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '0' COMMENT '收款款项类型：1订单款，2非订单款，3返佣款，5供应商退款，6超级会员款';
ALTER TABLE `cm_receipt_order_relation`
    ADD COLUMN `vipRecordId` bigint(11) DEFAULT NULL COMMENT '超级会员购买记录Id' AFTER `orderId`,
    MODIFY COLUMN `relationType` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '0' COMMENT '关系类型：1返佣订单（返佣款或供应商退款）、2非返佣订单（订单款或者非订单款）、3超级会员款';

-- 修改 订单
ALTER TABLE `caimei`.`cm_order`
    ADD COLUMN `svipFullReduction` DECIMAL(15,2) NULL COMMENT '订单超级会员优惠' DEFAULT 0.00 AFTER `couponAmount`;
ALTER TABLE `caimei`.`cm_shop_order`
    ADD COLUMN `svipShopReduction` DECIMAL(15,2) NULL COMMENT '店铺超级会员优惠' DEFAULT 0.00 AFTER `differencePrice`;
ALTER TABLE `caimei`.`cm_order_product`
    ADD COLUMN `svipPriceFlag` INT NULL DEFAULT 0 COMMENT '超级会员优惠价格标识：0不是，1是' AFTER `heUserId`,
    ADD COLUMN `svipPriceType` INT NULL DEFAULT NULL COMMENT '超级会员优惠价类型:1折扣价，2直接优惠价' AFTER `svipPriceFlag`,
    ADD COLUMN `svipDiscount` DECIMAL(20,2) NULL DEFAULT '0.00' COMMENT '超级会员折扣' AFTER `svipPriceFlag`,
    ADD COLUMN `svipReduction` DECIMAL(20,2) NULL DEFAULT 0.00 COMMENT '超级会员优惠' AFTER `svipDiscount`;

-- ===========================CRM收款工具重构================================
-- 收款用户表
DROP TABLE IF EXISTS `cm_receipt_user`;
CREATE TABLE `cm_receipt_user` (
  `id` BIGINT NOT NULL AUTO_INCREMENT COMMENT '收款用户ID',
  `mobile` VARCHAR(11) NULL COMMENT '收款用户手机号',
  `password` VARCHAR(255) NULL COMMENT '收款用户密码',
  `openid` varchar(255) NULL COMMENT '收款用户微信openid',
  `unionId` varchar(255) NULL COMMENT '收款用户微信unionId',
  `user_type` char(2) NULL COMMENT '收款用户类型：1协销人员，2客服，3财务，4超级管理员',
  `name` VARCHAR(100) NOT NULL COMMENT '姓名',
  `create_time` DATETIME DEFAULT NULL COMMENT '创建时间',
  `update_time` DATETIME DEFAULT NULL COMMENT '更新时间',
  `del_flag` CHAR(1) NOT NULL DEFAULT '0' COMMENT '删除标记：0未删，其他删除',
  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=UTF8MB4 COMMENT='采美收款用户表';
 -- 收款权限表
DROP TABLE IF EXISTS `cm_receipt_permission`;
CREATE TABLE `cm_receipt_permission` (
  `id` BIGINT NOT NULL AUTO_INCREMENT COMMENT '收款权限ID',
  `permission` VARCHAR(100) DEFAULT NULL COMMENT '收款权限描述',
  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=UTF8MB4 COMMENT='采美收款权限表';
 -- 采美收款用户权限关联表
DROP TABLE IF EXISTS `cm_receipt_user_permission`;
CREATE TABLE `cm_receipt_user_permission` (
  `id` BIGINT NOT NULL AUTO_INCREMENT,
  `user_id` BIGINT DEFAULT NULL COMMENT '收款用户ID',
  `permission_id` BIGINT DEFAULT NULL COMMENT '收款权限ID',
  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=UTF8MB4 COMMENT='采美收款用户权限关联表';
 -- 收款类型表
DROP TABLE IF EXISTS `cm_receipt_type`;
CREATE TABLE `cm_receipt_type` (
  `id` BIGINT NOT NULL AUTO_INCREMENT COMMENT '收款类型ID',
  `type` VARCHAR(100) NOT NULL COMMENT '收款类型',
  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='采美收款类型表';
-- 初始数据
INSERT  INTO `cm_receipt_permission`(`id`,`permission`) VALUES (1,'收款列表访问'),(2,'收款详情访问'),(3,'收款录入'),(4,'收款关联订单'),(5,'收款关联返佣'),(6,'收款关联供应商退款'),(7,'收款审核');
INSERT  INTO `cm_receipt_type`(`id`,`type`) VALUES (1,'建设银行-7297'),(2,'广发银行-0115'),(3,'中信银行-7172'),(4,'中信银行-0897'),(5,'中信银行-0897-财付通'),(6,'中信银行-0897-支付宝'),(7,'线上-支付宝'),(8,'线上-微信支付'),(9,'线上-快钱支付'),(10,'口头返佣'),(11,'广发银行-5461'),(12,'企业网银'),(13,'微信支付'),(14,'支付宝'),(15,'微信支付'),(16,'余额抵扣'),(18,'建设银行-1854'),(19,'建设银行-6256');










