package com.caimei365.order.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/11
 */
@Data
public class ReceiptUserVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款用户Id
     */
    @ApiModelProperty("收款用户Id")
    private Integer id;
    /**
     * 用户类型：1协销人员,2客服,3财务,4超级管理员
     */
    @ApiModelProperty("用户类型：1协销人员,2客服,3财务,4超级管理员")
    private Integer userType;
    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
    /**
     * 授权人手机号
     */
    @ApiModelProperty("授权人手机号")
    private String mobile;
    /**
     * 微信openid
     */
    @ApiModelProperty("微信openid")
    private String openid;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 用户权限: 1收款列表访问，2收款详情访问，3收款录入，4收款关联订单，5收款关联返佣，6收款关联供应商退款，7收款审核
     */
    @ApiModelProperty("用户权限: 1收款列表访问，2收款详情访问，3收款录入，4收款关联订单，5收款关联返佣，6收款关联供应商退款，7收款审核")
    private Integer permission;
    /**
     * 用户权限列表: 1收款列表访问，2收款详情访问，3收款录入，4收款关联订单，5收款关联返佣，6收款关联供应商退款，7收款审核
     */
    @ApiModelProperty("用户权限列表: 1收款列表访问，2收款详情访问，3收款录入，4收款关联订单，5收款关联返佣，6收款关联供应商退款，7收款审核")
    private List<Integer> permissions;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
}
